import java.util.*;

class EffectivelyFinal {
	public static void main(String[] args) {
		String[] names = {"Salty", "Sweet", "Sour", "Bitter", "Umami"};
		List<Runnable> runners = new ArrayList<>();
		for (String name : names) 
			runners.add(() -> System.out.println(name));
		// can't do it since i changes
		// for (int i = 0; i < names.length; i++)	
		// 	runners.add(() -> System.out.println(names[i]));
		
		for (Runnable r: runners)
			new Thread(r).start();
	}
}
